Package org.opensaml.xmlsec

# Class AlgorithmPolicyParameters

java.lang.Object
org.opensaml.xmlsec.AlgorithmPolicyParameters

Direct Known Subclasses:
  `DecryptionParameters`, `SignatureValidationParameters`

public class AlgorithmPolicyParameters extends Object
The algorithm policy parameters.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Collection<String>`
`excludedAlgorithmURIs`
Excluded algorithm URIs.
`private Collection<String>`
`includedAlgorithmURIs`
Included algorithm URIs.

## Constructor Summary

Constructors
Constructor
Description
`AlgorithmPolicyParameters()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getExcludedAlgorithms()`
Get the excluded algorithm URIs.
`Collection<String>`
`getIncludedAlgorithms()`
Get the included algorithm URIs.
`void`
`setExcludedAlgorithms(Collection<String> uris)`
Set the excluded algorithm URIs.
`void`
`setIncludedAlgorithms(Collection<String> uris)`
Set the included algorithm URIs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### includedAlgorithmURIs

@Nonnull private Collection<String> includedAlgorithmURIs
Included algorithm URIs.

### excludedAlgorithmURIs

@Nonnull private Collection<String> excludedAlgorithmURIs
Excluded algorithm URIs.

## Constructor Details

### AlgorithmPolicyParameters

public AlgorithmPolicyParameters()
Constructor.

## Method Details

### getIncludedAlgorithms

@Nonnull @NotLive @Unmodifiable public Collection<String> getIncludedAlgorithms()
Get the included algorithm URIs.

Returns:
  the included algorithms

### setIncludedAlgorithms

public void setIncludedAlgorithms(@Nullable Collection<String> uris)
Set the included algorithm URIs.

Parameters:
  `uris` - the included algorithms

### getExcludedAlgorithms

@Nonnull @NotLive @Unmodifiable public Collection<String> getExcludedAlgorithms()
Get the excluded algorithm URIs.

Returns:
  the excluded algorithms

### setExcludedAlgorithms

public void setExcludedAlgorithms(@Nullable Collection<String> uris)
Set the excluded algorithm URIs.

Parameters:
  `uris` - the excluded algorithms